> For the complete documentation index, see [llms.txt](https://docs.foxmetrics.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.foxmetrics.com/developers/apis/http-reference.md).

# HTTP API

### Using the HTTP API

The FoxMetrics server-side HTTP API can be used to send data from any system to FoxMetrics by making a GET or POST request to your account collector host with the event details you want to send.&#x20;

> The call must be made using the HTTPS protocol.&#x20;

{% hint style="info" %}
Your collector host and application identifiers can be found in the [portal](https://my.foxmetrics.com) after you log in.
{% endhint %}

#### Parameters

The following parameters are required for all events.

| Name | Type   | Description                                                                         |
| ---- | ------ | ----------------------------------------------------------------------------------- |
| v    | String | Person ID. A unique identifier that identifies the device that performed the event. |
| s    | String | Visit ID. A unique identifier that identifies the session.                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.foxmetrics.com/developers/apis/http-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
